﻿using C1_Control.Models;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using C1_Controls.Models;

namespace C1_Controls.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            ReportModel model = new ReportModel();
            model.ServiceUrl = "http://localhost:9017/api/report";
            //model.ServiceUrl = "https://demos.componentone.com/aspnet/c1webapi/4.0.20191.170/api/report/";
            model.Parameters = GetParameters();
            return View(model);
        }

        private List<CmbList> GetParameters()
        {
            List<CmbList> parameters = new List<CmbList>();
            parameters.Add(new CmbList("1", "Beverages"));
            parameters.Add(new CmbList("2", "Condiments"));
            parameters.Add(new CmbList("3", "Confections"));
            parameters.Add(new CmbList("4", "Dairy Products"));
            parameters.Add(new CmbList("5", "Grains/Cereals"));
            parameters.Add(new CmbList("6", "Meat/Poultry"));
            parameters.Add(new CmbList("7", "Produce"));
            parameters.Add(new CmbList("8", "Seafood"));
            return parameters;
        }
    }
}
