﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace C1_Control.Models
{
    public class Country
    {
        public int Id { get; set; }
        public string Name { get; set; }

        public int Downloads { get; set; }
        public int Sales { get; set; }

        private static List<string> CountryNames = new List<string>
        { "US", "UK", "Canada", "Japan", "China", "France", "German", "Italy", "Korea", "Australia" };

        public static List<Country> GetData(int total)
        {
            var rand = new Random(0);
            var list = Enumerable.Range(0, total).Select(i =>
            {
                string CntryName = CountryNames[i % 10];
                int download = rand.Next();
                int sales = rand.Next(0, 1000);

                return new Country
                {
                    Id = i + 1,
                    Name = CntryName,
                    Downloads = download,
                    Sales = sales
                };
            });
            return list.ToList();
        }
    }
}